MongoCursor::maxTimeMS
MongoCursor::partial
MongoCursor
PHP Manual

# MongoCursor::next

(PECL mongo >=0.9.0)

MongoCursor::next — Advances the cursor to the next result, and returns that result

### Description

public array MongoCursor::next ( void )

### Parameters

This function has no parameters.

### Return Values

Returns the next document.

### Errors/Exceptions

Throws MongoConnectionException if it cannot reach the database and MongoCursorTimeoutException if the timeout is exceeded.

### See Also

- Iterator::next() - Move forward to next element

MongoCursor::maxTimeMS
MongoCursor::partial
MongoCursor
PHP Manual